<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noodp" />
    <title class="pjax-title">How NOT to make a GDD with org-roam - How Not To</title><meta name="Description" content="Wanting to make a GDD or a complex file but with org-roam and then export it to pdf?"><meta property="og:title" content="How NOT to make a GDD with org-roam" />
<meta property="og:description" content="Wanting to make a GDD or a complex file but with org-roam and then export it to pdf?" />
<meta property="og:type" content="article" />
<meta property="og:url" content="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/" /><meta property="og:image" content="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/cover.png"/><meta property="article:section" content="posts" />
<meta property="article:published_time" content="2021-08-30T00:00:00+00:00" />
<meta property="article:modified_time" content="2021-08-30T00:00:00+00:00" />

<meta name="twitter:card" content="summary_large_image"/>
<meta name="twitter:image" content="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/cover.png"/>
<meta name="twitter:title" content="How NOT to make a GDD with org-roam"/>
<meta name="twitter:description" content="Wanting to make a GDD or a complex file but with org-roam and then export it to pdf?"/>
<meta name="application-name" content="How Not To">
<meta name="apple-mobile-web-app-title" content="How Not To">

<meta name="theme-color" content="#ffffff"><meta name="msapplication-TileColor" content="#da532c"><link rel="icon" href="icon.svg"><link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png"><link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5"><link rel="manifest" href="/site.webmanifest"><link rel="canonical" href="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/" /><link rel="stylesheet" href="/hownotto/lib/normalize/normalize.min.css"><link rel="stylesheet" href="/hownotto/css/style.min.css"><link rel="preload" as="style" onload="this.onload=null;this.rel='stylesheet'" href="/hownotto/lib/fontawesome-free/all.min.css">
    <noscript><link rel="stylesheet" href="/hownotto/lib/fontawesome-free/all.min.css"></noscript><link rel="preload" as="style" onload="this.onload=null;this.rel='stylesheet'" href="/hownotto/lib/animate/animate.min.css">
    <noscript><link rel="stylesheet" href="/hownotto/lib/animate/animate.min.css"></noscript><meta name="google-site-verification" content="MQ8DNu27ayX6B_4ObiEDK09vGr1fdy7kOAnbd09hJk4" /><script type="application/ld+json">
    {
        "@context": "http://schema.org",
        "@type": "BlogPosting",
        "headline": "How NOT to make a GDD with org-roam",
        "inLanguage": "en",
        "mainEntityOfPage": {
            "@type": "WebPage",
            "@id": "https:\/\/leonardo.sobarzo.gitlab.io\/hownotto\/gdd\/"
        },"image": ["https:\/\/leonardo.sobarzo.gitlab.io\/images\/Apple-Devices-Preview.png"],"genre": "posts","keywords": "org-roam, pdf, GDD","wordcount":  871 ,
        "url": "https:\/\/leonardo.sobarzo.gitlab.io\/hownotto\/gdd\/","datePublished": "2021-08-30T00:00:00+00:00","dateModified": "2021-08-30T00:00:00+00:00","license": "This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.","publisher": {
            "@type": "Organization",
            "name": "xxxx","logo": "https:\/\/leonardo.sobarzo.gitlab.io\/images\/avatar.jpg"},"authors": [{
                    "@type": "Person",
                    "name": "Leonardo Sobarzo"
                }],"description": "Wanting to make a GDD or a complex file but with org-roam and then export it to pdf?"
    }
    </script></head>

<body header-desktop="fixed" header-mobile="auto"><script type="text/javascript">
        function setTheme(theme) {document.body.setAttribute('theme', theme);}
        function saveTheme(theme) {window.localStorage && localStorage.setItem('theme', theme);}
        function getMeta(metaName) {const metas = document.getElementsByTagName('meta'); for (let i = 0; i < metas.length; i++) if (metas[i].getAttribute('name') === metaName) return metas[i]; return '';}
        if (window.localStorage && localStorage.getItem('theme')) {let theme = localStorage.getItem('theme');theme === 'light' || theme === 'dark' || theme === 'black' ? setTheme(theme) : (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches ? setTheme('dark') : setTheme('light')); } else { if ('auto' === 'light' || 'auto' === 'dark' || 'auto' === 'black') setTheme('auto'), saveTheme('auto'); else saveTheme('auto'), window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches ? setTheme('dark') : setTheme('light');}
        let themeColorMeta = getMeta('theme-color');
        if (document.body.getAttribute('theme') != 'light') themeColorMeta.content = '#000000';
    </script>
    <div id="back-to-top"></div>
    <div id="mask"></div><div class="wrapper"><header class="desktop" id="header-desktop">
    <div class="header-wrapper">
        <div class="header-title">
            <a href="/hownotto/" title="How Not To"><span class="header-title-pre"><i class='fas fa-terminal fa-fw'></i></span>How Not To</a>
        </div>
        <div class="menu">
            <div class="menu-inner"><a class="menu-item" href="/hownotto/hownotto/"> Posts </a><a class="menu-item" href="/hownotto/hownotto/about/"> About </a><span class="menu-item delimiter"></span><a href="#" onclick="return false;" class="menu-item language" title="Select Language">English<i class="fas fa-chevron-right fa-fw"></i>
                        <select class="language-select" title="Select Language" id="language-select-desktop" onchange="location = this.value;"><option value="/hownotto/gdd/" selected>English</option><option value="/hownotto/es/gdd/">Español</option></select>
                    </a><a href="#" onclick="return false;" class="menu-item theme-select" title="Switch Theme">
                    <i class="fas fa-adjust fa-fw"></i>
                    <select class="color-theme-select" id="theme-select-desktop" title="Switch Theme">
                        <option value="light">Light</option>
                        <option value="dark">Dark</option>
                        <option value="black">Black</option>
                        <option value="auto">Auto</option>
                    </select>
                </a></div>
        </div>
    </div>
</header><header class="mobile" id="header-mobile">
    <div class="header-container">
        <div class="header-wrapper">
            <div class="header-title">
                <a href="/hownotto/" title="How Not To"><span class="header-title-pre"><i class='fas fa-terminal fa-fw'></i></span>How Not To</a>
            </div>
            <div class="menu-toggle" id="menu-toggle-mobile">
                <span></span><span></span><span></span>
            </div>
        </div>
        <div class="menu" id="menu-mobile"><a class="menu-item" href="/hownotto/hownotto/" title="">Posts</a><a class="menu-item" href="/hownotto/hownotto/about/" title="">About</a><a href="#" onclick="return false;" class="menu-item theme-select" title="Switch Theme">
                <i class="fas fa-adjust fa-fw"></i>
                <select class="color-theme-select" id="theme-select-mobile" title="Switch Theme">
                    <option value="light">Light</option>
                    <option value="dark">Dark</option>
                    <option value="black">Black</option>
                    <option value="auto">Auto</option>
                </select>
            </a><a href="#" onclick="return false;" class="menu-item" title="Select Language">English<i class="fas fa-chevron-right fa-fw"></i>
                    <select class="language-select" title="Select Language" onchange="location = this.value;"><option value="/hownotto/gdd/" selected>English</option><option value="/hownotto/es/gdd/">Español</option></select>
                </a></div>
    </div>
</header>
<div class="search-dropdown desktop">
    <div id="search-dropdown-desktop"></div>
</div>
<div class="search-dropdown mobile">
    <div id="search-dropdown-mobile"></div>
</div>
<main class="main">
            <div class="container"><div class="toc" id="toc-auto">
        <h2 class="toc-title">Contents</h2>
        <div class="toc-content" id="toc-content-auto"></div>
    </div><script>document.getElementsByTagName("main")[0].setAttribute("pageStyle", "wide")</script><script>document.getElementsByTagName("main")[0].setAttribute("autoTOC", "true")</script><article class="page single"><h1 class="single-title animate__animated animate__flipInX">How NOT to make a GDD with org-roam</h1><div class="post-meta">
            <div class="post-meta-line">
                <span class="post-author"><span class='author'><i class="author fas fa-user-circle fa-fw"></i><span class='screen-reader-text'>  </span><a href='https://leonardo.sobarzo.gitlab.io/authors/leonardo-sobarzo'>Leonardo Sobarzo</a></span>
                </span>&nbsp;<span class="post-category">included in </span>&nbsp;<span class="post-category">category <a href="/hownotto/categories/game-development/"><i class="far fa-folder fa-fw"></i>Game Development</a></span></div>
            <div class="post-meta-line"><i class="far fa-calendar-alt fa-fw"></i>&nbsp;<time datetime="30-08-2021">30-08-2021</time>&nbsp;<i class="far fa-edit fa-fw"></i>&nbsp;<time datetime="30-08-2021">30-08-2021</time>&nbsp;<i class="fas fa-pencil-alt fa-fw"></i>&nbsp;871 words&nbsp;
                <i class="far fa-clock fa-fw"></i>&nbsp;5 minutes&nbsp;</div>
        </div><div class="featured-image"><img
        class="lazyload"
        data-src="/hownotto/gdd/cover.png"
        data-srcset="/hownotto/gdd/cover.png, /hownotto/gdd/cover.png 1.5x, /hownotto/gdd/cover.png 2x"
        data-sizes="auto"
        alt="/hownotto/gdd/cover.png"
        title="Wanting to make a GDD or a complex file but with org-roam and then export it to pdf?" height="333" width="971"
    /></div><div class="details toc" id="toc-static"  kept="">
                <div class="details-summary toc-title">
                    <span>Contents</span>
                    <span><i class="details-icon fas fa-angle-right"></i></span>
                </div>
                <div class="details-content toc-content" id="toc-content-static"><nav id="TableOfContents">
  <ul>
    <li><a href="#context">Context</a></li>
    <li><a href="#tldr">TL;DR</a></li>
    <li><a href="#my-solution">My &ldquo;solution&rdquo;</a>
      <ul>
        <li><a href="#pros">Pros:</a></li>
        <li><a href="#cons">Cons:</a></li>
      </ul>
    </li>
    <li><a href="#step-1">Step 1</a></li>
    <li><a href="#step-2">Step 2</a></li>
    <li><a href="#step-3">Step 3</a>
      <ul>
        <li><a href="#lets-begin">Let&rsquo;s begin</a></li>
        <li><a href="#problems">Problems</a></li>
        <li><a href="#solutions">Solutions</a></li>
        <li><a href="#more-problems">More problems?</a></li>
        <li><a href="#more-solutions">More solutions!</a></li>
      </ul>
    </li>
    <li><a href="#this-solution-is-not-for-everyone">This solution is not for everyone</a></li>
    <li><a href="#your-obvious-reaction">Your obvious reaction</a></li>
  </ul>
</nav></div>
            </div><div class="content" id="content"><h2 id="context">Context</h2>
<p>I&rsquo;m relatively new to Emacs, but vanilla Emacs is not for me so I installed Doom Emacs, a well known distribution. Days after I learned about org-mode and simply love it, but I went further and tried org-roam&hellip; and blew my mind, it was so simple get so elegant, I was looking for a way of linking files so every file I make has a little bit of information and I won&rsquo;t get lost trying to find some detail about something in a 5000 lines file.</p>
<p>I started recently to develop a videogame, name pending, and of course I just skiped making a design document because why whould you need that&hellip; right?, well I was wrong. I have a few examples of GDD thanks to university courses and wanted to make my own GDD. I searched for online alternatives for this and find <a href="https://www.nuclino.com/" target="_blank" rel="noopener noreffer">Nuclino</a>, made an account and tried to export the example that they have but you can only export certain categories, not the whole GDD (or at least I couldn&rsquo;t), besides I&rsquo;m trying to solo develop and an online solution was overkill in my opinion.</p>
<p>I opened Emacs and started making org file for every category, make a &ldquo;hub&rdquo; to have all the links called &ldquo;GDD.org&rdquo; (for easy acceses to every file) and exported it with <code>org-latex-export-to-pdf</code> and ran into problems&hellip;</p>
<h2 id="tldr">TL;DR</h2>
<p>I want to use org-roam for making a large pdf with smaller org files.</p>
<h2 id="my-solution">My &ldquo;solution&rdquo;</h2>
<h3 id="pros">Pros:</h3>
<pre><code>- Easy if you know a little about emacs and have time.
- You maybe learn something new.
</code></pre>
<h3 id="cons">Cons:</h3>
<pre><code>- It is tedious.
</code></pre>
<h2 id="step-1">Step 1</h2>
<p>Try to find another way, ask on internet.</p>
<h2 id="step-2">Step 2</h2>
<p>You find a better way?&hellip; tell <a href="mailto:leonardo.sobarzo@protonmail.com" rel="">me</a> please.</p>
<h2 id="step-3">Step 3</h2>
<h3 id="lets-begin">Let&rsquo;s begin</h3>
<p>If you export a org-roam file with links in it with <code>org-latex-export-to-pdf</code> it won&rsquo;t add the content of the other files to the exported pdf but you can use INCLUDE for this (<a href="https://emacs.stackexchange.com/questions/68309/how-to-correctly-export-to-pdf-org-roam-files" target="_blank" rel="noopener noreffer">thanks to NickD</a>):</p>
<div class="highlight"><div class="chroma">
<table class="lntable"><tr><td class="lntd">
<pre tabindex="0" class="chroma"><code><span class="lnt">1
</span><span class="lnt">2
</span><span class="lnt">3
</span><span class="lnt">4
</span><span class="lnt">5
</span><span class="lnt">6
</span><span class="lnt">7
</span><span class="lnt">8
</span></code></pre></td>
<td class="lntd">
<pre tabindex="0" class="chroma"><code class="language-fallback" data-lang="fallback">#+Title: GDD or something like that
#+AUTHOR: you name or company
#+LANGUAGE: es

#+INCLUDE: &lt;path_to_file&gt;
#+INCLUDE: &lt;path_to_file_other_file&gt;
#+INCLUDE: &lt;path_to_file_other_file&gt;
...
</code></pre></td></tr></table>
</div>
</div><p>Pretty simple, right?. Well we have a lots of problems now:</p>
<h3 id="problems">Problems</h3>
<ol>
<li>Table of contents too big if you have a lots of levels in the files.</li>
<li>Table of contents is in the cover.</li>
<li>Roam ID it being exported to the file.</li>
<li>Every file has a title and all the titles are in the exported pdf&hellip; and they are in the cover.</li>
</ol>
<h3 id="solutions">Solutions</h3>
<p>We need to add a few modifications to eliminate the previous problems:</p>
<div class="highlight"><div class="chroma">
<table class="lntable"><tr><td class="lntd">
<pre tabindex="0" class="chroma"><code><span class="lnt"> 1
</span><span class="lnt"> 2
</span><span class="lnt"> 3
</span><span class="lnt"> 4
</span><span class="lnt"> 5
</span><span class="lnt"> 6
</span><span class="lnt"> 7
</span><span class="lnt"> 8
</span><span class="lnt"> 9
</span><span class="lnt">10
</span><span class="lnt">11
</span><span class="lnt">12
</span><span class="lnt">13
</span></code></pre></td>
<td class="lntd">
<pre tabindex="0" class="chroma"><code class="language-fallback" data-lang="fallback">#+Title: GDD or something like that
#+AUTHOR: you name or company
#+LANGUAGE: es
#+OPTIONS: toc:nil

#+begin_export latex
  \clearpage \tableofcontents \clearpage
#+end_export latex

#+INCLUDE: &lt;path_to_file&gt; :lines &#34;5-&#34;
#+INCLUDE: &lt;path_to_file_other_file&gt; &#34;5-&#34;
#+INCLUDE: &lt;path_to_file_other_file&gt; &#34;5-&#34;
...
</code></pre></td></tr></table>
</div>
</div><p>* TOC will only be 2 levels deep per category.</p>
<h3 id="more-problems">More problems?</h3>
<ol>
<li>If you want the file in english well you don&rsquo;t have this problem, but if you need it in spanish like me (or in any other language) the header <code>#+LANGUAGE: es</code> didn&rsquo;t do anything.</li>
<li>You forgot about having links to the files&hellip;</li>
</ol>
<h3 id="more-solutions">More solutions!</h3>
<p>You could put as header:</p>
<div class="highlight"><div class="chroma">
<table class="lntable"><tr><td class="lntd">
<pre tabindex="0" class="chroma"><code><span class="lnt">1
</span><span class="lnt">2
</span><span class="lnt">3
</span><span class="lnt">4
</span></code></pre></td>
<td class="lntd">
<pre tabindex="0" class="chroma"><code class="language-fallback" data-lang="fallback">...
#+LANGUAGE: es
#+latex_header: \usepackage[&lt;language&gt;]{babel}
...
</code></pre></td></tr></table>
</div>
</div><p>Until here was just tedious putting the various <code>#+INCLUDE</code> and having to order by hand, but here comes the <strong><em>good part</em></strong>. If you have linked files in org-roam you know how they are linked, you just use <code>org-roam-node-insert</code> or if you have enabled <code>completion-at-point</code> in your config.el, emacs will try to find a node with what you are writting and autocomplete. If you try to delete the link you will find that the link is just [[id:numbers][name_of_file]], in my case my files names are &ldquo;GDD-name_of_proyect:secction&rdquo;, so it&rsquo;s kind of long and redundant because all the file is about the same proyect, but you can change to second [] to be whatever you want. So having in mind that you can change the name of the link but it will still link the correct file. <strong><em>My solution</em></strong> is:</p>
<div class="highlight"><div class="chroma">
<table class="lntable"><tr><td class="lntd">
<pre tabindex="0" class="chroma"><code><span class="lnt"> 1
</span><span class="lnt"> 2
</span><span class="lnt"> 3
</span><span class="lnt"> 4
</span><span class="lnt"> 5
</span><span class="lnt"> 6
</span><span class="lnt"> 7
</span><span class="lnt"> 8
</span><span class="lnt"> 9
</span><span class="lnt">10
</span><span class="lnt">11
</span><span class="lnt">12
</span><span class="lnt">13
</span><span class="lnt">14
</span><span class="lnt">15
</span><span class="lnt">16
</span><span class="lnt">17
</span></code></pre></td>
<td class="lntd">
<pre tabindex="0" class="chroma"><code class="language-fallback" data-lang="fallback">#+Title: GDD or something like that
#+AUTHOR: you name or company
#+LANGUAGE: es
#+OPTIONS: toc:nil

#+begin_export latex
  \clearpage \tableofcontents \clearpage
#+end_export latex

* [[id:...][short_name]]
#+INCLUDE: &lt;path_to_file&gt; :lines &#34;5-&#34;

* [[id:...][other_short_name]]
#+INCLUDE: &lt;path_to_file_other_file&gt; &#34;5-&#34;

* [[id:...][other_short_name]]
#+INCLUDE: &lt;path_to_file_other_file&gt; &#34;5-&#34;
</code></pre></td></tr></table>
</div>
</div><h2 id="this-solution-is-not-for-everyone">This solution is not for everyone</h2>
<p>This &ldquo;solution&rdquo; is tedious and still have problems like: what if I don&rsquo;t want to have the name in plain text and want a picture like in game or the links to the files are still in the pdf so you can click them and open the raw org-roam files, this will give error if you give the exported file to another person.</p>
<p>My GDD is still too young to have to think about this issues, if I have find a solution I will post it.</p>
<div class="details admonition danger open">
        <div class="details-summary admonition-title">
            <i class="icon fas fa-skull-crossbones fa-fw"></i>Danger<i class="details-icon fas fa-angle-right fa-fw"></i>
        </div>
        <div class="details-content">
            <div class="admonition-content"><strong>This is not a professional solution in any case, and I think this is only usefull for a solo developer.</strong></div>
        </div>
    </div>
<h2 id="your-obvious-reaction">Your obvious reaction</h2>
<figure><a class="lightgallery" href="/hownotto/gdd/latex-roam.jpg" title="/hownotto/gdd/latex-roam.jpg" data-thumbnail="/hownotto/gdd/latex-roam.jpg" data-sub-html="<h2>latex with extra steps</h2>">
        <img
            class="lazyload"
            data-src="latex-roam.jpg"
            data-srcset="/hownotto/gdd/latex-roam.jpg, latex-roam.jpg 1.5x, /hownotto/gdd/latex-roam.jpg 2x"
            data-sizes="auto"
            alt="/hownotto/gdd/latex-roam.jpg"height="1562"width="2400"
        />
    </a><figcaption class="image-caption">latex with extra steps</figcaption>
    </figure>
<p>Then why I use org-roam for this?</p>
<figure><a class="lightgallery" href="/hownotto/gdd/its_neat.jpg" title="/hownotto/gdd/its_neat.jpg" data-thumbnail="/hownotto/gdd/its_neat.jpg" data-sub-html="<h2>it&rsquo;s neat</h2>">
        <img
            class="lazyload"
            data-src="its_neat.jpg"
            data-srcset="/hownotto/gdd/its_neat.jpg, its_neat.jpg 1.5x, /hownotto/gdd/its_neat.jpg 2x"
            data-sizes="auto"
            alt="/hownotto/gdd/its_neat.jpg"height="1562"width="2400"
        />
    </a><figcaption class="image-caption">it&rsquo;s neat</figcaption>
    </figure>
</div><div class="post-footer" id="post-footer">
    <div class="post-info">
        <div class="post-info-line">
            <div class="post-info-mod">
                <span>Updated on 30-08-2021</span>
            </div>
            <div class="post-info-license"></div>
        </div>
        <div class="post-info-line">
            <div class="post-info-md"><span>
                            <a class="link-to-markdown" href="/hownotto/gdd/index.md" target="_blank" rel="noopener noreferrer">Read Markdown</a>
                        </span></div>
            <div class="post-info-share">
                <span><a href="#" onclick="return false;" title="Share on Twitter" data-sharer="twitter" data-url="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/" data-title="How NOT to make a GDD with org-roam" data-hashtags="org-roam,pdf,GDD"><i class="fab fa-twitter fa-fw"></i></a><a href="#" onclick="return false;" title="Share on Facebook" data-sharer="facebook" data-url="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/" data-hashtag="org-roam"><i class="fab fa-facebook-square fa-fw"></i></a><a href="#" onclick="return false;" title="Share on WhatsApp" data-sharer="whatsapp" data-url="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/" data-title="How NOT to make a GDD with org-roam" data-web><i class="fab fa-whatsapp fa-fw"></i></a><a href="#" onclick="return false;" title="Share on Hacker News" data-sharer="hackernews" data-url="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/" data-title="How NOT to make a GDD with org-roam"><i class="fab fa-hacker-news fa-fw"></i></a><a href="#" onclick="return false;" title="Share on Line" data-sharer="line" data-url="https://leonardo.sobarzo.gitlab.io/hownotto/gdd/" data-title="How NOT to make a GDD with org-roam"><i data-svg-src="/hownotto/lib/simple-icons/icons/line.min.svg"></i></a></span>
            </div>
        </div>
    </div>

    <div class="post-info-more">
        <section class="post-tags"><i class="fas fa-tags fa-fw"></i>&nbsp;<a href="/hownotto/tags/org-roam/">org-roam</a>,&nbsp;<a href="/hownotto/tags/pdf/">pdf</a>,&nbsp;<a href="/hownotto/tags/gdd/">GDD</a></section>
        <section>
            <span><a href="#" onclick="window.history.back();">Back</a></span>&nbsp;|&nbsp;<span><a href="/hownotto/">Home</a></span>
        </section>
    </div>

    <div class="post-nav"></div>
</div>
<div id="comments"></div></article></div>
        </main><footer class="footer">
        <div class="footer-container"><div class="footer-line">Powered by <a href="https://gohugo.io/" target="_blank" rel="noopener noreffer" title="Hugo 0.87.0">Hugo</a> | Theme - <a href="https://github.com/HEIGE-PCloud/DoIt" target="_blank" rel="noopener noreffer" title="DoIt 0.2.10"><i class="far fa-edit fa-fw"></i> DoIt</a>
                </div><div class="footer-line"><i class="far fa-copyright fa-fw"></i><span itemprop="copyrightYear">2021</span><span class="author" itemprop="copyrightHolder">&nbsp;<a href="https://gitlab.com/leonardo.sobarzo" target="_blank" rel="noopener noreferrer">Leonardo Sobarzo</a></span>&nbsp;|&nbsp;<span class="license"><a rel="license external nofollow noopener noreffer" href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank">CC BY-NC 4.0</a></span></div>
        </div><script>
                    if('serviceWorker' in navigator) {
                        navigator.serviceWorker
                            .register('/sw.min.js', { scope: '/' })
                            .then(function(registration) {
                                
                            });
                
                        navigator.serviceWorker
                            .ready
                            .then(function(registration) {
                                
                            });
                    }
                </script></footer></div>

    <div id="fixed-buttons"><a href="#back-to-top" id="back-to-top-button" class="fixed-button" title="Back to Top">
            <i class="fas fa-arrow-up fa-fw"></i>
        </a><a href="#" id="view-comments" class="fixed-button" title="View Comments">
            <i class="fas fa-comment fa-fw"></i>
        </a>
    </div><div class="assets"><script type="text/javascript" src="/hownotto/lib/lazysizes/lazysizes.min.js"></script><script type="text/javascript" src="/hownotto/lib/topbar/topbar.min.js"></script><script type="text/javascript" src="/hownotto/lib/pjax/pjax.min.js"></script><script type="text/javascript" src="/hownotto/js/theme.min.js"></script></div>

<div class="pjax-assets"><script type="text/javascript" src="/hownotto/lib/lightgallery/lightgallery.min.js"></script><script type="text/javascript" src="/hownotto/lib/lightgallery/lg-thumbnail.min.js"></script><script type="text/javascript" src="/hownotto/lib/lightgallery/lg-zoom.min.js"></script><script type="text/javascript" src="/hownotto/lib/clipboard/clipboard.min.js"></script><script type="text/javascript" src="/hownotto/lib/sharer/sharer.min.js"></script><script type="text/javascript">window.config={"code":{"copyTitle":"Copy to clipboard","maxShownLines":10},"comment":{},"lightGallery":{"actualSize":false,"exThumbImage":"data-thumbnail","hideBarsDelay":2000,"selector":".lightgallery","speed":400,"thumbContHeight":80,"thumbWidth":80,"thumbnail":true},"sharerjs":true};</script><link rel="stylesheet" href="/hownotto/lib/lightgallery/lightgallery.min.css"></div>
</body>

</html>